package com.ningdatech.pmapi.todocenter.model.dto.res;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.wflow.workflow.bean.vo.ProcessTaskVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 待办中心-待我处理返回实体信息
 *
 * @author CMM
 * @since 2023/01/12 14:57
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResToBeProcessedDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目ID")
    private String projectId;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位ID")
    private String reportUnitId;

    @ApiModelProperty("申报单位名称")
    private String reportUnitName;

    @ApiModelProperty("申报金额")
    private Integer reportAmount;

    @ApiModelProperty("预算年度")
    private Integer budgetYear;

    @ApiModelProperty("流程状态")
    private Integer processStatus;

    @ApiModelProperty("流程状态名称")
    private String processStatusName;

    @ApiModelProperty("流程发起时间")
    private LocalDateTime processLaunchTime;

    @ApiModelProperty("流程任务信息")
    private ProcessTaskVo processTaskVo;
}
